# Recipe.pm
# michael dungan - mpd@rochester.rr.com
# definition of a recipe object
#
package Recipe;
use strict;
use vars qw(@ISA @EXPORT @EXPORT_OK %EXPORT_TAGS $VERSION);

use Exporter;

my $RCSID =	'$Id: Recipe.pm,v 1.5 2002/04/03 20:15:29 vega Exp $';

$VERSION =	0.5;
@ISA =		qw(Exporter);

@EXPORT = qw(ingredients directions serves title);

#----------
# constructor
#----------
sub new {
	my $this = shift;
    my $classname  = ref($this) || $this;
    my $self      = {};
    $self->{INGREDIENTS}  = [];
    $self->{DIRECTIONS}   = [];
    $self->{SERVES}       = undef;
    $self->{TITLE}        = undef;
    bless($self, $classname);
    return $self;
}

#----------
# Accessors/Mutators
#----------
sub title {
    my $self = shift;
    if (@_) { $self->{TITLE} = shift; }
    return    $self->{TITLE};
}
   
sub serves {
    my $self = shift;
    if (@_) { $self->{SERVES} = shift; }
    return    $self->{SERVES};
}
   
sub ingredients {
    my $self = shift;
    if (@_) { @{ $self->{INGREDIENTS} } = @_; }
    return    @{ $self->{INGREDIENTS} };
}

sub directions {
    my $self = shift;
    if (@_) { @{ $self->{DIRECTIONS} } = @_; }
    return    @{ $self->{DIRECTIONS} };
}

1;
